<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NodeStats](./bitburner.nodestats.md)

## NodeStats interface

Object representing all the values related to a hacknet node.

**Signature:**

```typescript
interface NodeStats 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [cache?](./bitburner.nodestats.cache.md) |  | number | _(Optional)_ Cache level. Only applicable for Hacknet Servers |
|  [cores](./bitburner.nodestats.cores.md) |  | number | Node's number of cores |
|  [hashCapacity?](./bitburner.nodestats.hashcapacity.md) |  | number | _(Optional)_ Hash Capacity provided by this Node. Only applicable for Hacknet Servers |
|  [level](./bitburner.nodestats.level.md) |  | number | Node's level |
|  [name](./bitburner.nodestats.name.md) |  | string | Node's name |
|  [production](./bitburner.nodestats.production.md) |  | number | Node's production per second |
|  [ram](./bitburner.nodestats.ram.md) |  | number | Node's RAM (GB) |
|  [ramUsed?](./bitburner.nodestats.ramused.md) |  | number | _(Optional)_ Node's used RAM (GB) |
|  [timeOnline](./bitburner.nodestats.timeonline.md) |  | number | Number of seconds since Node has been purchased |
|  [totalProduction](./bitburner.nodestats.totalproduction.md) |  | number | Total number of money Node has produced |

